Subject: bug#999 closed by Chong Yidong <[email-masked]> (Re: 23.0.60; left/right-margin property is not honored on word-wrapped lines)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#999: 23.0.60; left/right-margin property is not honored on word-wrapped lines

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
999: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=999
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Fri Sep 19 20:13:54 2008
From: Chong Yidong <[email-masked]>
To: "Lennart Borgman \(gmail\)" <[email-masked]>
Cc: [email-masked]
Subject: Re: 23.0.60; left/right-margin property is not honored on word-wrapped lines
Date: Fri, 19 Sep 2008 23:13:54 -0400

"Lennart Borgman (gmail)" <[email-masked]> writes:

> But the reason for wrapping at words is to enhance readability for the
> user. For precisely this reason I think that the left margin property
> should be used indent the wrapped line too.
>
> After all that is how fill-paragraph works. I think we should think the
> same about wrapped lines.

The variable wrap-prefix can be used for this.

It would not be consistent to make the left/right margin affect
continued lines.

>From [email-masked] Thu Sep 18 19:49:18 2008
Date: Fri, 19 Sep 2008 04:48:55 +0200
From: "Lennart Borgman (gmail)" <[email-masked]>
To: [email-masked]
Subject: 23.0.60; left/right-margin property is not honored on word-wrapped
 lines

When a line is wrapped the `left-margin' text property is honored only
on the first visual line. This seems ok to me unless word-wrap is true.
In that case I think that `left-margin' and `right-margin' should be
honored on all visual lines.

In GNU Emacs 23.0.60.1 (i386-mingw-nt5.1.2600)
 of 2008-09-18
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --no-opt --cflags
-Ic:/g/include -fno-crossjumping'